## soprano 2.5.0+dfsg.1

=== CMakeLists.txt ===
project(soprano)

cmake_minimum_required(VERSION 2.6.2)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

##################  Soprano version  ################################
set(CMAKE_SOPRANO_VERSION_MAJOR 2)
set(CMAKE_SOPRANO_VERSION_MINOR 5)
set(CMAKE_SOPRANO_VERSION_RELEASE 0)
set(CMAKE_SOPRANO_VERSION_STRING "${CMAKE_SOPRANO_VERSION_MAJOR}.${CMAKE_SOPRANO_VERSION_MINOR}.${CMAKE_SOPRANO_VERSION_RELEASE}")


##################  User options  ################################

option(SOPRANO_BUILD_TESTS "Build all unit tests")
option(SOPRANO_DISABLE_REDLAND_BACKEND "Disable compilation of Redland storage backend")
option(SOPRANO_DISABLE_SESAME2_BACKEND "Disable compilation of Sesame2 storage backend")
option(SOPRANO_DISABLE_VIRTUOSO_BACKEND "Disable compilation of Virtuoso storage backend")
option(SOPRANO_DISABLE_CLUCENE_INDEX "Disable compilation of Clucene-based full-text index")
option(SOPRANO_DISABLE_RAPTOR_PARSER "Disable compilation of Raptor parser plugin")
option(SOPRANO_DISABLE_RAPTOR_SERIALIZER "Disable compilation of Raptor RDF serializer plugin")
option(SOPRANO_DISABLE_DBUS "Disable D-Bus integration")
option(SOPRANO_BUILD_API_DOCS "Build Soprano API documentation")

if(SOPRANO_BUILD_TESTS)
  enable_testing()
endif(SOPRANO_BUILD_TESTS)

if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)

include(SopranoCPack.cmake)

##################  find packages  ################################

set(QT_MIN_VERSION "4.5.0")
find_package(Qt4 REQUIRED)
# properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
include(${QT_USE_FILE})

if(NOT SOPRANO_DISABLE_RAPTOR_PARSER OR NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER OR NOT SOPRANO_DISABLE_REDLAND_BACKEND)
  find_package(Rasqal)
  find_package(Raptor)
  find_package(Redland)

  if(WIN32)
    if(NOT REDLAND_VERSION)
      set(REDLAND_VERSION "1.0.3")
      message(STATUS "Windows currently only has Redland version 1.0.3")
    endif(NOT REDLAND_VERSION)
  endif(WIN32)
endif(NOT SOPRANO_DISABLE_RAPTOR_PARSER OR NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER OR NOT SOPRANO_DISABLE_REDLAND_BACKEND)

if(NOT SOPRANO_DISABLE_CLUCENE_INDEX)
  find_package(CLucene)
  if(CLucene_FOUND)
    if(CLUCENE_VERSION AND CLUCENE_VERSION VERSION_GREATER "0.9.19" OR CLUCENE_VERSION VERSION_EQUAL "0.9.19")
      set(CL_VERSION_19_OR_GREATER TRUE)
    endif(CLUCENE_VERSION AND CLUCENE_VERSION VERSION_GREATER "0.9.19" OR CLUCENE_VERSION VERSION_EQUAL "0.9.19")
    set(SOPRANO_BUILD_INDEX_LIB 1 CACHE INTERNAL "Soprano Index is built" FORCE)
  endif(CLucene_FOUND)
endif(NOT SOPRANO_DISABLE_CLUCENE_INDEX)

if(NOT SOPRANO_DISABLE_SESAME2_BACKEND)
  find_package(JNI)
  if(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    file(READ ${JAVA_INCLUDE_PATH}/jni.h jni_header_data)
    string(REGEX MATCH "JNI_VERSION_1_4" JNI_1_4_FOUND "${jni_header_data}")
    if(JNI_1_4_FOUND)
      message(STATUS "Found Java JNI >= 1.4: ${JAVA_INCLUDE_PATH}, ${JAVA_JVM_LIBRARY}")
    else(JNI_1_4_FOUND)
      message( "Need JNI version 1.4 or higher for the Sesame2 backend.")
    endif(JNI_1_4_FOUND)
  else(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    message(STATUS "Could not find Java JNI")
    if("$ENV{JAVA_HOME}" STREQUAL "")
      message("Make sure JAVA_HOME is set")
    endif("$ENV{JAVA_HOME}" STREQUAL "")
  endif(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
endif(NOT SOPRANO_DISABLE_SESAME2_BACKEND)

if(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
if(WIN32)
  include(CheckIncludeFiles)
  check_include_files("windows.h;sql.h" HAVE_SQL_H)
else(WIN32)
  find_package(IODBC)
endif(WIN32)
endif(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)


##################  setup variables  ################################
if(REDLAND_FOUND)
   macro_ensure_version( "1.0.5" ${REDLAND_VERSION} REDLAND_VERSION_GOOD )
endif(REDLAND_FOUND)

if(REDLAND_FOUND AND NOT SOPRANO_DISABLE_REDLAND_BACKEND)
  set(BUILD_REDLAND_BACKEND TRUE)
endif(REDLAND_FOUND AND NOT SOPRANO_DISABLE_REDLAND_BACKEND)
if(JNI_1_4_FOUND AND NOT SOPRANO_DISABLE_SESAME2_BACKEND)
  set(BUILD_SESAME2_BACKEND TRUE)
endif(JNI_1_4_FOUND AND NOT SOPRANO_DISABLE_SESAME2_BACKEND)
if(SOPRANO_BUILD_INDEX_LIB AND NOT SOPRANO_DISABLE_CLUCENE_INDEX)
  set(BUILD_CLUCENE_INDEX TRUE)
endif(SOPRANO_BUILD_INDEX_LIB AND NOT SOPRANO_DISABLE_CLUCENE_INDEX)
if(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_PARSER)
  set(BUILD_RAPTOR_PARSER TRUE)
endif(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_PARSER)
if(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER)
  set(BUILD_RAPTOR_SERIALIZER TRUE)
endif(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER)
if(NOT SOPRANO_DISABLE_DBUS AND QT_QTDBUS_FOUND)
  set(BUILD_DBUS_SUPPORT TRUE)
endif(NOT SOPRANO_DISABLE_DBUS AND QT_QTDBUS_FOUND)
if(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
  if(IODBC_FOUND OR HAVE_SQL_H)
    set(BUILD_VIRTUOSO_BACKEND TRUE)
  endif(IODBC_FOUND OR HAVE_SQL_H)
endif(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
set(HAVE_DBUS BUILD_DBUS_SUPPORT)

##################  setup install directories  ################################
set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name")
## the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")


# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE)
set(CMAKE_INSTALL_RPATH                ${LIB_DESTINATION} )

if(APPLE)
   set(CMAKE_INSTALL_NAME_DIR ${LIB_DESTINATION})
endif(APPLE)


##################  some compiler settings ################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32 )
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
    include(CheckCXXCompilerFlag)
    check_cxx_compiler_flag(-fvisibility=hidden __SOPRANO_HAVE_GCC_VISIBILITY)
    check_cxx_compiler_flag(-fvisibility-inlines-hidden __SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
    if(__SOPRANO_HAVE_GCC_VISIBILITY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
    endif(__SOPRANO_HAVE_GCC_VISIBILITY)
    if(__SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
    endif(__SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
endif(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32 )
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -Zc:wchar_t-)
endif(MSVC)
if(MINGW)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
endif(MINGW)


##################  add subdirectories ################################
if(BUILD_CLUCENE_INDEX)
   add_subdirectory(index)
endif(BUILD_CLUCENE_INDEX)
add_subdirectory(soprano)
add_subdirectory(backends)
add_subdirectory(parsers)
add_subdirectory(serializers)
add_subdirectory(server)
add_subdirectory(client)
add_subdirectory(tools)
add_subdirectory(rules)
add_subdirectory(includes)
if(SOPRANO_BUILD_TESTS)
  add_subdirectory(test)
endif(SOPRANO_BUILD_TESTS)
add_subdirectory(cmake)


##################  create pkgconfig files  ################################
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/soprano.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoclient.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoserver.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoindex.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc @ONLY)
  install(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc
    DESTINATION
    ${PKGCONFIG_INSTALL_PREFIX})
endif(NOT WIN32)


##################  apidox ################################
if(SOPRANO_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${soprano_SOURCE_DIR}/Doxyfile.cmake ${soprano_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.trolltech.com/4.3/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(SOPRANO_BUILD_API_DOCS)


##################  status messages ################################
message("---------------------------------------------------------------------------------------")
message("-- Soprano Components that will be built:")
if(NOT BUILD_REDLAND_BACKEND AND NOT BUILD_SESAME2_BACKEND AND NOT BUILD_VIRTUOSO_BACKEND)
  message("   WARNING: No Soprano backends will be compiled!")
  message("   WARNING: Soprano will not be very useful without storage backends!")
endif(NOT BUILD_REDLAND_BACKEND AND NOT BUILD_SESAME2_BACKEND AND NOT BUILD_VIRTUOSO_BACKEND)
if(BUILD_REDLAND_BACKEND)
  message("   * Redland storage backend")
endif(BUILD_REDLAND_BACKEND)
if(BUILD_SESAME2_BACKEND)
  message("   * Sesame2 storage backend (java-based)")
endif(BUILD_SESAME2_BACKEND)
if(BUILD_VIRTUOSO_BACKEND)
  message("   * Virtuoso storage backend (Run-time dependency: Virtuoso)")
endif(BUILD_VIRTUOSO_BACKEND)

if(BUILD_RAPTOR_PARSER)
  message("   * Raptor RDF parser")
  if(RAPTOR_HAVE_TRIG)
    message("     (including TriG parser)")
  endif(RAPTOR_HAVE_TRIG)
endif(BUILD_RAPTOR_PARSER)

if(BUILD_RAPTOR_SERIALIZER)
  message("   * Raptor RDF serializer")
endif(BUILD_RAPTOR_SERIALIZER)

if(BUILD_CLUCENE_INDEX)
  message("   * The CLucene-based full-text search index library")
endif(BUILD_CLUCENE_INDEX)

if(BUILD_DBUS_SUPPORT)
  message("   * D-Bus server/client support")
endif(BUILD_DBUS_SUPPORT)


message("")
message("-- Soprano Components that will NOT be built:")
if(NOT BUILD_REDLAND_BACKEND)
  message("   * Redland storage backend (missing librdf/redland - http://librdf.org)")
endif(NOT BUILD_REDLAND_BACKEND)
if(NOT BUILD_SESAME2_BACKEND)
  message("   * Sesame2 storage backend (java-based)")
endif(NOT BUILD_SESAME2_BACKEND)
if(NOT BUILD_VIRTUOSO_BACKEND)
  if(WIN32)
    message("   * Virtuoso storage backend (missing ODBC headers - http://msdn.microsoft.com/en-us/windows/bb980924.aspx)")
  else(WIN32)
    message("   * Virtuoso storage backend (missing libiodbc - http://www.iodbc.org)")
  endif(WIN32)
endif(NOT BUILD_VIRTUOSO_BACKEND)

if(NOT BUILD_RAPTOR_PARSER)
  message("   * Raptor RDF parser (missing libraptor - http://librdf.org)")
endif(NOT BUILD_RAPTOR_PARSER)

if(NOT BUILD_RAPTOR_SERIALIZER)
  message("   * Raptor RDF serializer (missing libraptor - http://librdf.org)")
  if(NOT SOPRANO_DISABLE_RAPTOR_PARSER AND REDLAND_FOUND AND REDLAND_VERSION VERSION_LESS "1.0.6")
    message("     (The Raptor serializer depends on librdf/redland 1.0.6 or greater.")
  endif(NOT SOPRANO_DISABLE_RAPTOR_PARSER AND REDLAND_FOUND AND REDLAND_VERSION VERSION_LESS "1.0.6")
endif(NOT BUILD_RAPTOR_SERIALIZER)

if(NOT BUILD_CLUCENE_INDEX)
  message("   * The CLucene-based full-text search index library")

=== server/CMakeLists.txt ===
project(soprano_server)

include_directories(
  ${soprano_server_BINARY_DIR}
  ${soprano_core_SOURCE_DIR}
  ${soprano_core_BINARY_DIR}
  ${soprano_core_SOURCE_DIR}/util
  ${soprano_core_SOURCE_DIR}/query
  ${soprano_core_SOURCE_DIR}/vocabulary
  ${QT_INCLUDES}
  ${soprano_SOURCE_DIR}
)

set(soprano_server_SRC
  servercore.h
  servercore.cpp
  serverconnection.h
  serverconnection.cpp
  modelpool.cpp
  randomgenerator.cpp
  datastream.cpp
  localserver.cpp
  tcpserver.cpp
)

if(BUILD_DBUS_SUPPORT)
  set(soprano_server_SRC
    ${soprano_server_SRC}
    dbus/dbusutil.cpp
    dbus/dbusmodeladaptor.cpp
    dbus/dbusexportiterator.cpp
    dbus/dbusexportmodel.cpp
    dbus/dbusstatementiteratoradaptor.cpp
    dbus/dbusnodeiteratoradaptor.cpp
    dbus/dbusqueryresultiteratoradaptor.cpp
    dbus/dbusserveradaptor.cpp
    dbus/dbuscontroller.cpp
    dbus/dbusoperators.cpp
    )
endif(BUILD_DBUS_SUPPORT)

configure_file(soprano-server-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/soprano-server-config.h)

#set(soprano_serverbackend_SRC
#  serverbackend.h
#  serverbackend.cpp
#)
  
qt4_automoc(${soprano_server_SRC})

#qt4_automoc(${soprano_serverbackend_SRC})

add_library(sopranoserver SHARED ${soprano_server_SRC})
#add_library(soprano_serverclientbackend SHARED ${soprano_serverbackend_SRC})

qt4_automoc(sopranodcore.cpp)

add_executable(sopranod sopranod.cpp sopranodcore.cpp lockfile.cpp)

if(WINCE)
    target_link_libraries(sopranod Coredll)
endif(WINCE)

set_target_properties(sopranoserver PROPERTIES
  VERSION 1.2.0
  SOVERSION 1
  DEFINE_SYMBOL MAKE_SOPRANO_SERVER_LIB
  INSTALL_NAME_DIR ${LIB_DESTINATION}
)

target_link_libraries(
  sopranoserver
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  soprano
)
if(BUILD_DBUS_SUPPORT)
  target_link_libraries(
    sopranoserver
    ${QT_QTDBUS_LIBRARY})
endif(BUILD_DBUS_SUPPORT)


#target_link_libraries(
#  soprano_serverclientbackend
#  sopranoclient
#)

target_link_libraries(
  sopranod
  soprano
  sopranoserver
)

if(SOPRANO_BUILD_INDEX_LIB)
  target_link_libraries(
    sopranod
    sopranoindex
  )
endif(SOPRANO_BUILD_INDEX_LIB)

INSTALL(TARGETS sopranoserver sopranod
	LIBRARY DESTINATION ${LIB_DESTINATION}
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION lib
)

#INSTALL(TARGETS soprano_serverclientbackend
#	LIBRARY DESTINATION ${LIB_DESTINATION}/soprano
#	RUNTIME DESTINATION bin/soprano
#	ARCHIVE DESTINATION lib/soprano
#)

install(
  FILES 
  servercore.h
  DESTINATION include/soprano
)

if(BUILD_DBUS_SUPPORT)
  add_subdirectory(dbus)
endif(BUILD_DBUS_SUPPORT)

=== soprano/CMakeLists.txt ===
project(soprano_core)

include_directories(
  ${soprano_SOURCE_DIR}
  ${soprano_core_BINARY_DIR}
  ${soprano_core_SOURCE_DIR}
  ${soprano_core_SOURCE_DIR}/util
  ${soprano_core_SOURCE_DIR}/query
  ${soprano_core_SOURCE_DIR}/vocabulary
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_INCLUDE_DIR}
  )

configure_file(soprano-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/soprano-config.h)
configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(soprano_SRCS
  queryresultiterator.cpp
  queryresultiterator.h
  queryresultiteratorbackend.cpp
  queryresultiteratorbackend.h
  node.cpp
  node.h
  statement.cpp
  statement.h
  statementiterator.cpp
  statementiterator.h
  nodeiterator.cpp
  model.cpp
  model.h
  parser.cpp
  parser.h
  serializer.cpp
  serializer.h
  pluginmanager.cpp
  pluginstub.cpp
  plugin.cpp
  qhashqurlcompat.cpp
  backend.cpp
  backend.h
  global.cpp
  error.cpp
  error.h
  literalvalue.cpp
  literalvalue.h
  languagetag.cpp
  languagetag.h
  locator.cpp
  locator.h
  datetime.cpp
  version.cpp
  filtermodel.h
  filtermodel.cpp
  storagemodel.h
  storagemodel.cpp
  rdfschemamodel.cpp
  bindingset.cpp
  sopranotypes.cpp
  graph.cpp
  vocabulary/rdf.cpp
  vocabulary/rdfs.cpp
  vocabulary/xsd.cpp
  vocabulary/nrl.cpp
  vocabulary/nao.cpp
  vocabulary/xesam.cpp
  vocabulary/owl.cpp
  query/query.cpp
  query/queryparser.cpp
  query/queryserializer.cpp
  inference/nodepattern.cpp
  inference/statementpattern.cpp
  inference/inferencerule.cpp
  inference/inferenceruleset.cpp
  inference/sil.cpp
  inference/inferencemodel.h
  inference/inferencemodel.cpp
  inference/inferenceruleparser.cpp
  nrlmodel.cpp
  inifile.cpp
  desktopfile.cpp
  sopranopluginfile.cpp
  sopranodirs.cpp
  n3nodeparser.cpp
  util/extreadwritelock.cpp
  util/mutexmodel.cpp
  util/mutexstatementiteratorbackend.cpp
  util/mutexnodeiteratorbackend.cpp
  util/mutexqueryresultiteratorbackend.cpp
  util/simplestatementiterator.cpp
  util/simplenodeiterator.cpp
  util/dummymodel.cpp
  util/signalcachemodel.cpp
  util/readonlymodel.cpp
  util/asyncmodel.cpp
  util/asyncresult.cpp
  util/asynccommand.cpp
  util/asynciteratorbackend.cpp
  util/asyncquery.cpp
  )

qt4_automoc(${soprano_SRCS})

add_library(soprano SHARED ${soprano_SRCS})

target_link_libraries(soprano ${QT_QTCORE_LIBRARY})

set_target_properties(soprano PROPERTIES
  VERSION 4.3.0
  SOVERSION 4
  DEFINE_SYMBOL MAKE_SOPRANO_LIB
  INSTALL_NAME_DIR ${LIB_DESTINATION}
  )

install(TARGETS soprano
  LIBRARY DESTINATION ${LIB_DESTINATION}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  )

install(FILES
  sopranomacros.h
  parser.h
  queryresultiterator.h
  queryresultiteratorbackend.h
  node.h
  statement.h
  statementiterator.h
  nodeiterator.h
  model.h
  filtermodel.h
  storagemodel.h
  plugin.h
  pluginmanager.h
  global.h
  soprano_export.h
  backend.h
  error.h
  locator.h
  literalvalue.h
  languagetag.h
  ${CMAKE_CURRENT_BINARY_DIR}/version.h
  rdfschemamodel.h
  bindingset.h
  serializer.h
  sopranotypes.h
  iterator.h
  iteratorbackend.h
  nrlmodel.h
  graph.h
  vocabulary/rdf.h
  vocabulary/rdfs.h
  vocabulary/xsd.h
  vocabulary/nrl.h
  vocabulary/nao.h
  vocabulary/xesam.h
  vocabulary/owl.h
  inference/inferencemodel.h
  inference/inferencerule.h
  inference/inferenceruleset.h
  inference/nodepattern.h
  inference/statementpattern.h
  inference/sil.h
  inference/inferenceruleparser.h
#  query/query.h
#  query/queryparser.h
#  query/queryserializer.h
  soprano.h
  vocabulary.h
  util/dummymodel.h
  util/mutexmodel.h
  util/simplestatementiterator.h
  util/simplenodeiterator.h
  util/signalcachemodel.h
  util/readonlymodel.h
  util/asyncmodel.h
  util/asyncresult.h
  util/asyncquery.h
  DESTINATION include/soprano)

=== test/CMakeLists.txt ===
project(soprano_tests)

# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

include_directories(
  ${soprano_SOURCE_DIR}
  ${soprano_BINARY_DIR}
  ${soprano_SOURCE_DIR}/data
  ${soprano_core_SOURCE_DIR}
  ${soprano_core_SOURCE_DIR}/util
  ${soprano_core_SOURCE_DIR}/query
  ${soprano_core_SOURCE_DIR}/vocabulary
  ${soprano_core_BINARY_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file(config-testdata.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-testdata.h)

# DateTime
qt4_automoc(datetimetest datetimetest.cpp)
add_executable(datetimetest datetimetest.cpp ../soprano/datetime.cpp)
target_link_libraries(datetimetest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(datetimetest ${EXECUTABLE_OUTPUT_PATH}/datetimetest)

# Node
qt4_automoc(nodetest NodeTest.cpp)
add_executable(nodetest NodeTest.cpp)
target_link_libraries(nodetest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(nodetest ${EXECUTABLE_OUTPUT_PATH}/nodetest)

# N3 Node parser
qt4_automoc(n3nodeparsertest n3nodeparsertest.cpp)
add_executable(n3nodeparsertest n3nodeparsertest.cpp)
target_link_libraries(n3nodeparsertest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(n3nodeparsertest ${EXECUTABLE_OUTPUT_PATH}/n3nodeparsertest)

# Literals
qt4_automoc(literaltest sopranoliteraltest.cpp)
add_executable(literaltest sopranoliteraltest.cpp)
target_link_libraries(literaltest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(literaltest ${EXECUTABLE_OUTPUT_PATH}/literaltest)

# Statement
qt4_automoc(statementtest StatementTest.cpp)
add_executable(statementtest StatementTest.cpp)
target_link_libraries(statementtest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(statementtest ${EXECUTABLE_OUTPUT_PATH}/statementtest)

# Generic StatementIterator test base
qt4_automoc(StatementIteratorTest.cpp)
add_library(statementiteratortest STATIC StatementIteratorTest.cpp)
target_link_libraries(statementiteratortest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

# general model tests
qt4_automoc(SopranoModelTest.cpp)
add_library(sopranomodeltest STATIC SopranoModelTest.cpp stringpool.cpp)
target_link_libraries(sopranomodeltest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

qt4_automoc(multithreadingtest multithreadingtest.cpp)
add_library(multithreadingtest STATIC multithreadingtest.cpp)
target_link_libraries(multithreadingtest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

if(BUILD_REDLAND_BACKEND)
  # RedlandStatementIterator
  qt4_automoc(redlandstatementiteratortest.cpp)
  add_executable(redlandstatementiteratortest redlandstatementiteratortest.cpp)
  target_link_libraries(redlandstatementiteratortest statementiteratortest)
  add_test(redlandstatementiteratortest ${EXECUTABLE_OUTPUT_PATH}/redlandstatementiteratortest)

  # redland model tests
  qt4_automoc(redlandmemorymodeltest RedlandMemoryModelTest.cpp)
  add_executable(redlandmemorymodeltest RedlandMemoryModelTest.cpp)
  target_link_libraries(redlandmemorymodeltest sopranomodeltest)
  add_test(redlandmemorymodeltest ${EXECUTABLE_OUTPUT_PATH}/redlandmemorymodeltest)

  qt4_automoc(redlandpersistentmodeltest RedlandPersistentModelTest.cpp)
  add_executable(redlandpersistentmodeltest RedlandPersistentModelTest.cpp)
  target_link_libraries(redlandpersistentmodeltest sopranomodeltest)
  add_test(redlandpersistentmodeltest ${EXECUTABLE_OUTPUT_PATH}/redlandpersistentmodeltest)

  qt4_automoc(redlandmultithreadtest redlandmultithreadtest.cpp)
  add_executable(redlandmultithreadtest redlandmultithreadtest.cpp)
  target_link_libraries(redlandmultithreadtest soprano multithreadingtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
  add_test(redlandmultithreadtest ${EXECUTABLE_OUTPUT_PATH}/redlandmultithreadtest)
endif(BUILD_REDLAND_BACKEND)

# scaling
qt4_automoc(storagescalingtest storagescalingtest.cpp)
add_executable(storagescalingtest storagescalingtest.cpp)
target_link_libraries(storagescalingtest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
#add_test(nodetest ${EXECUTABLE_OUTPUT_PATH}/storagescalingtest)

# SimpleStatementIterator
qt4_automoc(simplestatementiteratortest simplestatementiteratortest.cpp)
add_executable(simplestatementiteratortest simplestatementiteratortest.cpp)
target_link_libraries(simplestatementiteratortest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(simplestatementiteratortest ${EXECUTABLE_OUTPUT_PATH}/simplestatementiteratortest)

# QueryResultStatementIterator
qt4_automoc(queryresultstatementiteratortest queryresultstatementiteratortest.cpp)
add_executable(queryresultstatementiteratortest queryresultstatementiteratortest.cpp)
target_link_libraries(queryresultstatementiteratortest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(queryresultstatementiteratortest ${EXECUTABLE_OUTPUT_PATH}/queryresultstatementiteratortest)

# InferenceModel
qt4_automoc(inferencemodeltest inferencemodeltest.cpp)
add_executable(inferencemodeltest inferencemodeltest.cpp)
target_link_libraries(inferencemodeltest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(inferencemodeltest ${EXECUTABLE_OUTPUT_PATH}/inferencemodeltest)

# QueryAPITest
#qt4_automoc(queryapitest queryapitest.cpp)
#add_executable(queryapitest queryapitest.cpp)
#target_link_libraries(queryapitest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
#add_test(queryapitest ${EXECUTABLE_OUTPUT_PATH}/queryapitest)

if(BUILD_SESAME2_BACKEND)
  # Sesame2 model tests
  qt4_automoc(sesame2backendtest sesame2backendtest.cpp)
  add_executable(sesame2backendtest sesame2backendtest.cpp)
  target_link_libraries(sesame2backendtest soprano sopranomodeltest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
  add_test(sesame2backendtest ${EXECUTABLE_OUTPUT_PATH}/sesame2backendtest)

  qt4_automoc(sesame2multithreadtest sesame2multithreadtest.cpp)
  add_executable(sesame2multithreadtest sesame2multithreadtest.cpp)
  target_link_libraries(sesame2multithreadtest soprano multithreadingtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
  add_test(sesame2multithreadtest ${EXECUTABLE_OUTPUT_PATH}/sesame2multithreadtest)
endif(BUILD_SESAME2_BACKEND)

# parser test
qt4_automoc(parsertest parsertest.cpp)
add_executable(parsertest parsertest.cpp)
target_link_libraries(parsertest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(parsertest ${EXECUTABLE_OUTPUT_PATH}/parsertest)

# Error test
qt4_automoc(errortest errortest.cpp)
add_executable(errortest errortest.cpp)
target_link_libraries(errortest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(errortest ${EXECUTABLE_OUTPUT_PATH}/errortest)

# Index Test
if(BUILD_CLUCENE_INDEX)
  include_directories(
    ${CLUCENE_INCLUDE_DIR}
    ${CLUCENE_LIBRARY_DIR})

  # TString test
  qt4_automoc(tstringtest tstringtest.cpp)
  add_executable(tstringtest tstringtest.cpp stringpool.cpp ../index/tstring.cpp)
  target_link_libraries(tstringtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${CLUCENE_LIBRARY})
  add_test(tstringtest ${EXECUTABLE_OUTPUT_PATH}/tstringtest)

  qt4_automoc(cluceneindextest cluceneindextest.cpp)
  add_executable(cluceneindextest cluceneindextest.cpp stringpool.cpp)
  target_link_libraries(cluceneindextest soprano sopranoindex ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${CLUCENE_LIBRARY})
  add_test(cluceneindextest ${EXECUTABLE_OUTPUT_PATH}/cluceneindextest)

  qt4_automoc(indexmodelmultithreadingtest indexmodelmultithreadingtest.cpp)
  add_executable(indexmodelmultithreadingtest indexmodelmultithreadingtest.cpp)
  target_link_libraries(indexmodelmultithreadingtest soprano sopranoindex multithreadingtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
  add_test(indexmodelmultithreadingtest ${EXECUTABLE_OUTPUT_PATH}/indexmodelmultithreadingtest)
endif(BUILD_CLUCENE_INDEX)

# Server test
qt4_automoc(sopranodclienttest sopranodclienttest.cpp)
add_executable(sopranodclienttest sopranodclienttest.cpp)
target_link_libraries(sopranodclienttest sopranomodeltest sopranoclient ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTNETWORK_LIBRARY})
add_test(sopranodclienttest ${EXECUTABLE_OUTPUT_PATH}/sopranodclienttest)

# LocalSocketClient multithreading test
qt4_automoc(localsocketmultithreadtest localsocketmultithreadingtest.cpp)
add_executable(localsocketmultithreadtest localsocketmultithreadingtest.cpp)
target_link_libraries(localsocketmultithreadtest soprano sopranoclient multithreadingtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(localsocketmultithreadtest ${EXECUTABLE_OUTPUT_PATH}/localsocketmultithreadtest)

qt4_automoc(sopranodsocketclienttest sopranodsocketclienttest.cpp)
add_executable(sopranodsocketclienttest sopranodsocketclienttest.cpp)
target_link_libraries(sopranodsocketclienttest sopranomodeltest sopranoclient ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTNETWORK_LIBRARY})
add_test(sopranodsocketclienttest ${EXECUTABLE_OUTPUT_PATH}/sopranodclienttest)

if(BUILD_DBUS_SUPPORT)
qt4_automoc(sopranodbusclienttest sopranodbusclienttest.cpp)
add_executable(sopranodbusclienttest sopranodbusclienttest.cpp)
target_link_libraries(sopranodbusclienttest sopranomodeltest sopranoclient ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTNETWORK_LIBRARY})
add_test(sopranodbusclienttest ${EXECUTABLE_OUTPUT_PATH}/sopranodclienttest)

qt4_automoc(sopranodbusmultithreadtest sopranodbusmultithreadtest.cpp)
add_executable(sopranodbusmultithreadtest sopranodbusmultithreadtest.cpp)
target_link_libraries(sopranodbusmultithreadtest soprano sopranoclient multithreadingtest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(sopranodbusmultithreadtest ${EXECUTABLE_OUTPUT_PATH}/sopranodbusmultithreadtest)

# Signal spy
qt4_automoc(sopranodbussignalspy modelsignalspy.cpp)
add_executable(sopranodbussignalspy modelsignalspy.cpp sopranodbussignalspy.cpp)
target_link_libraries(sopranodbussignalspy sopranoclient ${QT_QTCORE_LIBRARY})
endif(BUILD_DBUS_SUPPORT)

# NRL Model test
qt4_automoc(nrlmodeltest nrlmodeltest.cpp)
add_executable(nrlmodeltest nrlmodeltest.cpp)
target_link_libraries(nrlmodeltest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(nrlmodeltest ${EXECUTABLE_OUTPUT_PATH}/nrlmodeltest)

# Server QDataStream operators
qt4_automoc(serveroperatortest.cpp)
add_executable(serveroperatortest serveroperatortest.cpp ../server/datastream.cpp)
target_link_libraries(serveroperatortest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

# async model test
set(asyncmodeltest_SRC asyncresultwaiter.cpp asyncmodeltest.cpp)
qt4_automoc(${asyncmodeltest_SRC})
add_executable(asyncmodeltest ${asyncmodeltest_SRC})
target_link_libraries(asyncmodeltest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

if(BUILD_VIRTUOSO_BACKEND)
  qt4_automoc(virtuosobackendtest virtuosobackendtest.cpp)
  add_executable(virtuosobackendtest virtuosobackendtest.cpp)
  target_link_libraries(virtuosobackendtest sopranomodeltest)
  add_test(virtuosobackendtest virtuosobackendtest)
endif(BUILD_VIRTUOSO_BACKEND)

# graph model tests
qt4_automoc(graphtest graphtest.cpp)
add_executable(graphtest graphtest.cpp)
target_link_libraries(graphtest sopranomodeltest)
add_test(graphtest ${EXECUTABLE_OUTPUT_PATH}/graphtest)

# async query test
qt4_automoc(asyncquerytest asyncquerytest.cpp)
add_executable(asyncquerytest asyncquerytest.cpp)
target_link_libraries(asyncquerytest soprano ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})
add_test(asyncquerytest ${EXECUTABLE_OUTPUT_PATH}/asyncquerytest)

=== server/dbus/CMakeLists.txt ===
project(soprano_server_dbus)

install(
  FILES 
  dbusexportmodel.h
  dbusexportiterator.h
  DESTINATION include/soprano
)

install(
  FILES
  org.soprano.Model.xml
  org.soprano.NodeIterator.xml
  org.soprano.QueryResultIterator.xml
  org.soprano.Server.xml
  org.soprano.StatementIterator.xml
  DESTINATION share/dbus-1/interfaces
)

=== debian/changelog ===
soprano (2.5.0+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make libsoprano4 Recommends in soprano-daemon strictly versioned.
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1: add/replace Conflicts with Breaks next to
    Replaces as needed.
  * Require cmake 2.6.2, not 2.6.8.
  * Switch to source format 3.0 (quilt):
    - remove quilt build dependency;
    - bump pkg-kde-tools build dependency to 0.9.
  * Move debug package to the bottom of debian/control.
  * Update sumbol file for 2.5.0 on amd64.
  * Replace common-licenses/BSD with real license text.

  [ George Kiagiadakis ]
  * With the new version of doxygen (1.7.1), there are not longer *.gif
    files in the documentation. (Closes: #590400).
  * Update symbol file for 2.4.64 and confirm on amd64 and i386.

  [ Ana Beatriz Guerrero Lopez ]
  * Add versioned build dependend on doxygen (>= 1.7.1), full documentation
    will not be installed if you build the package with a previous version.

  [ Bjoern Ricks ]
  * Update symbol file for 2.4.63 on i386

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 Aug 2010 02:07:52 +0300

soprano (2.4.3+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbol file for 2.4.2 on all arches for 2.4.3 on amd64.
  * Add debian/source/format (1.0).

 -- Modestas Vainius <modax@debian.org>  Mon, 17 May 2010 01:08:55 +0300

soprano (2.4.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Use DEP-3 headers on the patches.
  * Cleanup build dependencies versions.
  * Update copyright years.
  * Update symbol file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 21 Apr 2010 09:22:06 +0300

soprano (2.4.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make soprano-daemon suggest virtuoso-minimal.
  * Add a note to soprano-daemon description that it is not intended to be used
    directly by end users (see thread in #546199).
  * Drop 02_build_with_visibility_hidden.diff patch, merged upstream.
  * Update symbol file.
  * Add patch 02_disable_usr_lib_install_rpath.diff to get rid of /usr/lib
    RPATH.
  * Upgrade libsoprano4 to soprano-dbg Depends.
  * Fix debian/watch:
    - dversionmangle dfsg.1 suffix;
    - remove bogus excess lines.
  * Update libsoprano-dev.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Mar 2010 02:45:14 +0200

soprano (2.4.0.1+dfsg.1-2) unstable; urgency=low

  * Downgrade libsoprano-doc to priority: extra.
  * Drop bogus 03_SopranoAddOntology_path.diff patch.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 18:55:31 +0200

soprano (2.4.0.1+dfsg.1-1) unstable; urgency=low

  * New upstream release:
    - Fix Raptor RDF serializer installation. (Closes: #562388)

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.
  * Remove Matthew Rosewarne from Uploaders, happy hacking wherever you are.
  * Add build depend on libiodbc2-dev for virtuoso backend.
  * Update installed files.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Build depend on pkg-kde-tools 0.6.1.
  * Convert libsoprano4.symbols.in to new pkg-kde-tools 0.6 format and
    update it for 2.4.0.1.
  * Bump libqt4-dev build depend to version 4.5.0.
  * Bump libsoprano4 shlibs with each new upstream version.
  * Install dbus interface XMLs to libsoprano-dev.
  * Exempt libsoprano4 from soprano-daemon ${shlibs:Depends} to avoid circular
    deps (Closes: #546199).
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Remove pointless shlibs:Depends subst from libsoprano-doc.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Feb 2010 23:27:48 +0200

soprano (2.3.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Lisandro Damián Nicanor Pérez Meyer:

  * Bump Standards-Version from 3.8.2 to 3.8.3, no changes required.
  * Modified the SopranoAddOntology patch to fix a path.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Sep 2009 20:50:06 +0200

soprano (2.3.0+dfsg.1-2) unstable; urgency=low

  * Upload to unstable

  +++ Changes by Fathi Boudra:

  * Add patch to fix SopranoAddOntology.cmake path.

  +++ Changes by Modestas Vainius:

  * Remove incorrectly tagged and obsolete symbols from libsoprano4.symbols.in.
    Resolves FTBFS (Closes: #537817).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 26 Jul 2009 23:06:56 +0300

soprano (2.3.0+dfsg.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Set priority extra to debug package.
  * Bump Standards-Version from 3.8.0 to 3.8.2 (no changes needed).

  +++ Changes by Modestas Vainius:

  * Convert symbols file to dpkg-dev 1.15.3 compatible format. Build depend on
    dpkg-dev 1.15.3.
  * Update symbols file for 2.3.0 release.

  +++ Changes by Scott Kitterman:

  * Split out non library files split into soprano-daemon. (Closes: #517475)

  +++ Changes by Sune Vuorela:

  * Fix sections.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 18 Jul 2009 12:34:23 +0300

soprano (2.2.69+dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by George Kiagiadakis:

  * Update installed files.
  * Update libsoprano4.symbols.in.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Jun 2009 14:28:35 +0300

soprano (2.2.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * API documentation is now built enabling flag SOPRANO_BUILD_API_DOCS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 23:28:35 +0100



=== debian/control ===
Source: soprano
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
 libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3), librdf0-dev,
 doxygen (>= 1.7.1),
 graphviz, libiodbc2-dev
Standards-Version: 3.9.1
Homepage: http://soprano.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git

Package: soprano-daemon
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsoprano4 (= ${binary:Version})
Suggests: virtuoso-minimal
Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Replaces: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Description: daemon for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4. Soprano is targeted at desktop applications that need to store RDF
 data. Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano daemon, D-Bus service, parser plugins, and a
 storage plugin for the Redland RDF Application Framework. This package is not
 intended to be neither directly installed nor used by end users. It will be
 installed automatically whenever needed.

Package: libsoprano4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soprano-daemon (= ${binary:Version})
Conflicts: libsoprano3
Replaces: libsoprano3
Description: libraries for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano core libraries, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsoprano4 (= ${binary:Version})
Suggests: libsoprano-doc (= ${source:Version})
Breaks: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Replaces: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Description: development files for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains development files for building software that uses the
 Soprano libraries.

Package: libsoprano-doc
Priority: extra
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: qt4-doc
Description: developer documentation for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains documentation for software developers using the Soprano
 RDF framework.

Package: libsoprano-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, libsoprano4 (= ${binary:Version})
Description: debugging symbols for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Soprano packages.

## soprano 2.5.0-maemo0

=== debian/changelog ===
soprano (2.5.0-maemo0) unstable; urgency=low

  * Soprano 2.5.0 for fremantle

 -- Mani <maninc@gmail.com>  Thu, 19 Aug 2010 15:47:34 +0530

soprano (2.1+dfsg.1-1maemo0) intrepid; urgency=low

  * Fixed some cmake 2.6.1 promblems.

 -- Jonas Hurrelmann <j@outpo.st>  Tue, 19 Aug 2008 18:06:48 +0200

soprano (2.1+dfsg.1-0ubuntu1~hardy1~ppa1) hardy; urgency=low

  * New Hardy backport

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 26 Jul 2008 10:47:45 +0200

soprano (2.0.98-1ubuntu1~hardy1~ppa1) hardy; urgency=low

  * Needed for KDE 4 Beta PPA

 -- Richard A. Johnson <nixternal@kubuntu.org>  Tue, 27 May 2008 17:24:51 -0500

soprano (2.0.98-1ubuntu1) intrepid; urgency=low

  * Split out non library files into soprano-daemon package, Closes LP: #234952

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 08:59:30 +0100

soprano (0.9.0~snapshot20070525-1) unstable; urgency=low

  * Initial release.

 -- Sune Vuorela <debian@pusling.com>  Fri,  4 May 2007 09:49:34 +0200

## soprano 2.5.1-maemo0

=== debian/changelog ===
soprano (2.5.1-maemo0) unstable; urgency=low

  * Adding more headers

 -- Mani Chandrasekar <maninc@gmail.com>  Thu, 30 Sep 2010 15:47:34 +0530

## soprano 2.5.2+dfsg.1

=== debian/changelog ===
soprano (2.5.2+dfsg.1-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 10 Sep 2010 18:46:03 +0200

soprano (2.5.0+dfsg.1-1ubuntu1) maverick; urgency=low

  * Fake sync due to mismatching tarball

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 04 Sep 2010 00:03:13 +0200

## soprano 2.5.2-maemo0

=== debian/changelog ===
soprano (2.5.2-maemo0) unstable; urgency=low

  * For PR 1.3

 -- Mani Chandrasekar <maninc@gmail.com>  Thu, 14 Nov 2010 15:47:34 +0530

=== debian/control ===
Source: soprano
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Matthew Rosewarne <mrosewarne@inoutbox.com>, Mani Chandrasekar <maninc@gmail.com>
Build-Depends: cdbs (>= 0.4.48), debhelper (>= 5), cmake (>=2.6.2), quilt, pkg-kde-tools (>= 0.4),libclucene-dev, libqt4-dev (>> 4.4.0), librdf0-dev
Standards-Version: 3.8.0
Homepage: http://soprano.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/branches/kde4/packages/soprano
Vcs-Svn: svn://svn.debian.org/pkg-kde/branches/kde4/packages/soprano

Package: soprano-daemon
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsoprano4
Conflicts: libsoprano4 (<< 2.0.98-1)
Replaces: libsoprano4 (<< 2.0.98-1)
Description: daemon for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano daemon, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soprano-daemon (= ${binary:Version})
Conflicts: libsoprano3
Replaces: libsoprano3
Description: libraries for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano core libraries, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano-dbg
Section: libdevel
Architecture: any
Suggests: libsoprano4 (= ${binary:Version})
Description: debugging symbols for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Soprano packages.

Package: libsoprano-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsoprano4 (= ${binary:Version})
Suggests: libsoprano-doc (= ${source:Version})
Description: development files for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains development files for building software that uses the
 Soprano libraries.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_DH_SHLIBDEPS_ARGS_ALL := -X*

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/ \
http://sf.net/soprano/soprano-(.*)\.tar\.bz2

ftp://upload.sourceforge.net/pub/sourceforge/s/so/soprano/ \
  soprano-(.*)\.tar\.bz2
